aboutsummaryrefslogtreecommitdiff
path: root/games/exult/exult.SlackBuild
diff options
context:
space:
mode:
authororbea <orbea@riseup.net>2020-11-09 18:37:13 -0800
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-14 17:16:51 +0700
commite2df7b850cf41d5625406e5beb75837014191384 (patch)
tree4ebbb75c2f864c7209e98b79b321294174ba25e7 /games/exult/exult.SlackBuild
parentfffe9152426b43262cb4657e5f3bb38e691d267e (diff)
games/exult: Updated for version 1.6.
Signed-off-by: orbea <orbea@riseup.net> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/exult/exult.SlackBuild')
-rw-r--r--games/exult/exult.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/games/exult/exult.SlackBuild b/games/exult/exult.SlackBuild
index f89cdc91a60ce..943b7d6a26e2d 100644
--- a/games/exult/exult.SlackBuild
+++ b/games/exult/exult.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for exult
-# Copyright 2016, 2018 Hunter Sezen California, USA
+# Copyright 2016, 2018, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=exult
-VERSION=${VERSION:-2018.02.01_c3d7afb}
+VERSION=${VERSION:-1.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -60,7 +60,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -70,6 +70,7 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -94,13 +95,13 @@ if [ -f $CWD/${PRGNAM}_audio.zip ]; then
$PKG/usr/doc/$PRGNAM-$VERSION
fi
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-cp -a AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README* TODO.xml \
+cp -a AUTHORS COPYING ChangeLog FAQ NEWS README* TODO.xml \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild